:root {
  --Marine-blue: hsl(213, 96%, 18%);
  --Purplish-blue: hsl(243, 100%, 62%);
  --Pastel-blue: hsl(228, 100%, 84%);
  --Light-blue: hsl(206, 94%, 87%);
  --Strawberry-red: hsl(354, 84%, 57%);
  --Cool-gray: hsl(231, 11%, 63%);
  --Light-gray: hsl(229, 24%, 87%);
  --Magnolia: hsl(217, 100%, 97%);
  --Alabaster: hsl(231, 100%, 99%);
  --White: hsl(0, 0%, 100%);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  font-family: "Ubuntu", sans-serif;
  color: #000;
  overflow-x: hidden;
  font-style: normal;
  line-height: normal;
  background-color: var(--Magnolia);
}

body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  font-size: 1.6rem;
  background-color: var(--Magnolia);
  position: relative;
  font-family: "Ubuntu", sans-serif;
}

input,
button {
  font: inherit;
}

.main {
  max-width: 105rem;
  min-height: 100vh;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
}
.main .step__container {
  width: 100%;
  display: grid;
  grid-template-columns: 29rem 1fr;
  gap: 2.5rem;
  min-height: 60rem;
  background-color: var(--White);
  padding: 1.5rem;
}
.main .step__container .sidebar {
  width: 100%;
  border-radius: 1rem;
  grid-column-start: 1;
  grid-column-end: 2;
  background: url(https://multistep-form-23.netlify.app/assets/images/bg-sidebar-desktop.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding: 3rem 2rem;
  margin-right: auto;
}
.main .step__container .sidebar .step__indecater {
  display: flex;
  align-items: center;
  padding-bottom: 3rem;
}
.main .step__container .sidebar .step__indecater .indecater__num {
  border: 1px solid var(--Light-gray);
  width: 4rem;
  height: 4rem;
  border-radius: 50%;
  color: var(--Light-gray);
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 700;
  font-size: 1.4rem;
  margin-right: 1.5rem;
}
.main .step__container .sidebar .step__indecater .active {
  background-color: var(--Light-blue);
  color: var(--Marine-blue);
}
.main .step__container .sidebar .step__indecater .subtitle {
  color: var(--Light-gray);
  font-size: 1.4rem;
  font-weight: 400;
  padding-bottom: 2px;
}
.main .step__container .sidebar .step__indecater .mini__title {
  color: var(--White);
  font-weight: 500;
  text-transform: uppercase;
}
@media (max-width: 768px) {
  .main .step__container .sidebar {
    border-radius: 0;
    background-image: url(https://multistep-form-23.netlify.app/assets/images/bg-sidebar-mobile.svg);
    display: flex;
    align-items: flex-start;
    justify-content: center;
    height: 190px;
  }
}
.main .step__container .steps__container {
  grid-column-start: 2;
  grid-column-end: 3;
  padding-top: 2.5rem;
  padding-right: 2.5rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.main .step__container .steps__container .step {
  display: none;
}
.main .step__container .steps__container .step .main__title {
  font-size: 3.2rem;
  font-weight: 700;
  color: var(--Marine-blue);
  padding-bottom: 5px;
}
.main .step__container .steps__container .step .description {
  color: var(--Cool-gray);
  font-size: 1.6rem;
  font-weight: 400;
  padding-bottom: 3rem;
}
.main .step__container .steps__container .step .list {
  display: flex;
  flex-direction: column;
}
.main .step__container .steps__container .step .list .list__item {
  margin-bottom: 2.5rem;
  display: flex;
  flex-direction: column;
}
.main .step__container .steps__container .step .list .list__item .input__labe {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 5px;
}
.main .step__container .steps__container .step .list .list__item .input__labe .label {
  color: var(--Marine-blue);
  font-weight: 500;
}
.main .step__container .steps__container .step .list .list__item .input__labe .warning {
  color: var(--Strawberry-red);
  font-weight: 500;
}
.main .step__container .steps__container .step .list .list__item .input {
  padding: 1rem;
  border: 2px solid var(--Cool-gray);
  border-radius: 5px;
  width: 100%;
  font-weight: 500;
  color: var(--Marine-blue);
  font-size: 1.7rem;
}
.main .step__container .steps__container .step .plan__card_container {
  display: flex;
  flex-direction: column;
  padding-bottom: 1rem;
  min-height: 33rem;
}
.main .step__container .steps__container .step .plan__card_container .plan__card {
  display: flex;
  align-items: center;
  cursor: pointer;
  margin-bottom: 2rem;
}
.main .step__container .steps__container .step .plan__card_container .plan__card .card__img {
  margin-bottom: auto;
  width: 45px;
  height: 45px;
  margin-right: 25px;
}
.main .step__container .steps__container .step .plan__card_container .plan__card .card__img img {
  width: 100%;
}
.main .step__container .steps__container .step .plan__card_container .plan__card .card__name {
  color: var(--Marine-blue);
  font-weight: 700;
  text-transform: capitalize;
  font-size: 1.8rem;
  margin-bottom: 2px;
}
.main .step__container .steps__container .step .plan__card_container .plan__card .card__price {
  color: var(--Cool-gray);
  font-weight: 500;
}
.main .step__container .steps__container .step .plan__card_container .plan__card .yearly__benefit {
  color: var(--Marine-blue);
  font-size: 1.4rem;
  font-weight: 400;
  padding-top: 5px;
  display: none;
}
.main .step__container .steps__container .step .plan__card_container .card {
  border: 2px solid var(--Light-gray);
  border-radius: 10px;
  padding: 15px;
  cursor: pointer;
  transition: 0.3s;
}
.main .step__container .steps__container .step .plan__card_container .selected {
  background-color: var(--Magnolia);
  border-color: var(--Pastel-blue);
}
@media (min-width: 850px) {
  .main .step__container .steps__container .step .plan__card_container .plan__card {
    height: 190px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    cursor: pointer;
  }
}
@media (min-width: 850px) {
  .main .step__container .steps__container .step .plan__card_container {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    padding-bottom: 35px;
  }
}
.main .step__container .steps__container .step #select-plan-error {
  color: var(--Strawberry-red);
  font-weight: 700;
  text-align: center;
  height: 20px;
  margin-bottom: 5px;
}
.main .step__container .steps__container .step .toggle__container {
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 5rem;
  background-color: var(--Magnolia);
  font-weight: 700;
  margin-bottom: 1rem;
}
.main .step__container .steps__container .step .toggle__container p {
  color: var(--Marine-blue);
  font-weight: 500;
}
.main .step__container .steps__container .step .toggle__container .monthly__plan {
  opacity: 0.5;
}
.main .step__container .steps__container .step .toggle__container .toggle {
  width: 40px;
  height: 20px;
  border-radius: 15px;
  margin: 5px 0;
  background-color: var(--Marine-blue);
  display: flex;
  align-items: center;
  margin: 0 12px;
  transition: 0.25s;
  cursor: pointer;
}
.main .step__container .steps__container .step .toggle__container .toggle .toggle__circle {
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  margin: 0 2px;
  background-color: var(--White);
}
.main .step__container .steps__container .step .toggle__container .active {
  justify-content: flex-end;
}
.main .step__container .steps__container .step .toggle__container .yearly__plan {
  opacity: 0.5;
}
.main .step__container .steps__container .step .toggle__container .selected__plan {
  opacity: 1;
}
.main .step__container .steps__container .step .addson__card_container .addon__card {
  display: flex;
  align-items: center;
  margin-bottom: 2rem;
}
.main .step__container .steps__container .step .addson__card_container .addon__card .checkbox[type=checkbox] {
  margin-right: 2rem;
  appearance: none;
  background-color: none;
  font: inherit;
  color: none;
  width: 1.2em;
  height: 1.2em;
  border: 0.15em solid var(--Light-gray);
  cursor: pointer;
  border-radius: 0.2em;
  transform: translateY(-0.075em);
  display: grid;
  place-content: center;
}
.main .step__container .steps__container .step .addson__card_container .addon__card .checkbox[type=checkbox]:checked {
  border-color: var(--Purplish-blue);
  background-color: var(--Purplish-blue);
}
.main .step__container .steps__container .step .addson__card_container .addon__card .card__text {
  margin-right: auto;
}
.main .step__container .steps__container .step .addson__card_container .addon__card .card__text .card__name {
  color: var(--Marine-blue);
  font-weight: 700;
  text-transform: capitalize;
  font-size: 1.8rem;
  margin-bottom: 2px;
}
.main .step__container .steps__container .step .addson__card_container .addon__card .card__text .card__description {
  color: var(--Cool-gray);
  font-weight: 500;
}
.main .step__container .steps__container .step .addson__card_container .addon__card .card__price {
  color: var(--Cool-gray);
  font-weight: 500;
}
.main .step__container .steps__container .step .addson__card_container .card {
  border: 2px solid var(--Light-gray);
  border-radius: 10px;
  padding: 15px;
  cursor: pointer;
  transition: 0.3s;
}
.main .step__container .steps__container .step .addson__card_container .selected {
  background-color: var(--Magnolia);
  border-color: var(--Pastel-blue);
}
.main .step__container .steps__container .step .finishingup__card_container {
  background-color: var(--Magnolia);
  border: none;
  padding: 10px 20px;
  cursor: auto;
}
.main .step__container .steps__container .step .finishingup__card_container .selected__plan_container {
  padding-top: 10px;
  padding-bottom: 20px;
}
.main .step__container .steps__container .step .finishingup__card_container .selected__plan_container #selected-plan {
  display: flex;
  align-items: center;
  color: var(--Marine-blue);
  font-size: 2.2rem;
  font-weight: 700;
  padding-bottom: 5px;
}
.main .step__container .steps__container .step .finishingup__card_container .selected__plan_container .change__plan {
  border: none;
  background-color: transparent;
  font-size: 1.9rem;
  color: var(--Cool-gray);
  text-decoration: underline;
  cursor: pointer;
  transition: 0.25s;
}
.main .step__container .steps__container .step .finishingup__card_container #selected-addon > li:nth-child(1) {
  border-top: 1px solid var(--Cool-gray);
  padding-top: 2.5rem;
}
.main .step__container .steps__container .step .finishingup__card_container #selected-addon > li {
  display: flex;
  align-self: center;
  justify-content: space-between;
  padding-bottom: 2rem;
  font-size: 1.9rem;
  font-weight: 500;
}
.main .step__container .steps__container .step .finishingup__card_container li {
  list-style: none;
}
.main .step__container .steps__container .step .finishingup__card_container #selected-addon > li > p:nth-child(1) {
  color: var(--Cool-gray);
}
.main .step__container .steps__container .step #total {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px 20px;
}
.main .step__container .steps__container .step #total span:nth-child(1) {
  color: var(--Cool-gray);
  font-size: 1.9rem;
}
.main .step__container .steps__container .step #total span:nth-child(2) {
  color: var(--Purplish-blue);
  font-size: 2.5rem;
  font-weight: 700;
}
.main .step__container .steps__container .step .card {
  border: 2px solid var(--Light-gray);
  border-radius: 10px;
  padding: 15px;
  cursor: pointer;
  transition: 0.3s;
}
.main .step__container .steps__container .step .final__img {
  width: 10rem;
  height: 10rem;
  margin-top: 20%;
  margin-inline: auto;
  margin-bottom: 3.5rem;
}
.main .step__container .steps__container .step .final__img img {
  width: 100%;
}
@media (max-width: 768px) {
  .main .step__container .steps__container .step {
    width: 95%;
    background-color: var(--White);
    margin-top: -70px;
    border-radius: 10px;
    padding: 20px 15px;
  }
}
.main .step__container .steps__container .last__step {
  min-height: 100%;
  text-align: center;
}
.main .step__container .steps__container .last__step .description {
  max-width: 500px;
  margin: 0 auto;
}
.main .step__container .steps__container .active {
  display: inline-block;
}
.main .step__container .steps__container .button__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.main .step__container .steps__container .button__container .button {
  border: none;
  outline: none;
  cursor: pointer;
  font-weight: 500;
  padding: 10px 15px;
  border-radius: 5px;
}
.main .step__container .steps__container .button__container .prev__button {
  color: var(--Cool-gray);
  background-color: var(--White);
  padding: 0;
}
.main .step__container .steps__container .button__container .next__button {
  color: var(--Light-gray);
  background-color: var(--Marine-blue);
}
@media (max-width: 768px) {
  .main .step__container .steps__container .button__container {
    position: absolute;
    bottom: 0px;
    right: 0;
    background-color: var(--White);
    width: 100%;
    padding: 15px 10px;
  }
}
.main .step__container .steps__container .hidden {
  opacity: 0;
  cursor: auto;
}
@media (max-width: 768px) {
  .main .step__container .steps__container {
    padding: 0;
    align-items: center;
  }
}
@media (min-width: 920px) {
  .main .step__container {
    gap: 10rem;
  }
}
@media (max-width: 768px) {
  .main .step__container {
    min-height: 100%;
    display: flex;
    flex-direction: column;
    gap: 0;
    padding: 0;
    padding-bottom: 9rem;
    background-color: var(--Magnolia);
  }
  .main .sidebar {
    border-radius: 0;
    background-image: url(./assets/images/bg-sidebar-mobile.svg);
    display: flex;
    align-items: flex-start;
    justify-content: center;
    height: 19rem;
  }
  .main .step__indecater {
    padding: 0;
  }
  .main .indecater__text {
    display: none;
  }
}